package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("获取指定营养信息的详情")
public class MenuNutritionDetailVO implements Serializable {
   @ApiModelProperty("食材颜色")
   private String color;
   @ApiModelProperty("标签(海产海鱼、淡水鱼、海鲜类等)")
   private String label;
   @ApiModelProperty("加工方式")
   private String processingMethod;
   @ApiModelProperty("加工时间(min)")
   private Double processingTime;
   @ApiModelProperty("可食部分(g/100g)")
   private Double edible;
   @ApiModelProperty("水分(g/100g)")
   private Double water;
   @ApiModelProperty("热量(千卡/100g)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/100g)")
   private Double protein;
   @ApiModelProperty("脂肪(g/100g)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   private Double carbohydrate;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol;
   @ApiModelProperty("灰分(g/100g)")
   private Double ash;
   @ApiModelProperty("维生素a(μg/100g)")
   private Double vitaminA;
   @ApiModelProperty("胡萝卜素(μg/100g)")
   private Double carotene;
   @ApiModelProperty("视黄醇(μg/100g)")
   private Double retinol;
   @ApiModelProperty("硫胺素(mg/100g)")
   private Double thiamine;
   @ApiModelProperty("核黄素(mg/100g)")
   private Double riboflavin;
   @ApiModelProperty("烟酸/尼克酸(mg/100g)")
   private Double niacin;
   @ApiModelProperty("维生素c(mg/100g)")
   private Double vitaminC;
   @ApiModelProperty("维生素d(μg/100g)")
   private Double vitaminD;
   @ApiModelProperty("维生素e(g/100g)")
   private Double vitaminE;
   @ApiModelProperty("钙(mg/100g)")
   private Double calcium;
   @ApiModelProperty("磷(mg/100g)")
   private Double phosphorus;
   @ApiModelProperty("钾(mg/100g)")
   private Double kalium;
   @ApiModelProperty("钠(mg/100g)")
   private Double sodium;
   @ApiModelProperty("镁(mg/100g)")
   private Double magnesium;
   @ApiModelProperty("铁(mg/100g)")
   private Double iron;
   @ApiModelProperty("锌(mg/100g)")
   private Double zinc;
   @ApiModelProperty("硒(μg/100g)")
   private Double selenium;

   public String getColor() {
      return this.color;
   }

   public String getLabel() {
      return this.label;
   }

   public String getProcessingMethod() {
      return this.processingMethod;
   }

   public Double getProcessingTime() {
      return this.processingTime;
   }

   public Double getEdible() {
      return this.edible;
   }

   public Double getWater() {
      return this.water;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getAsh() {
      return this.ash;
   }

   public Double getVitaminA() {
      return this.vitaminA;
   }

   public Double getCarotene() {
      return this.carotene;
   }

   public Double getRetinol() {
      return this.retinol;
   }

   public Double getThiamine() {
      return this.thiamine;
   }

   public Double getRiboflavin() {
      return this.riboflavin;
   }

   public Double getNiacin() {
      return this.niacin;
   }

   public Double getVitaminC() {
      return this.vitaminC;
   }

   public Double getVitaminD() {
      return this.vitaminD;
   }

   public Double getVitaminE() {
      return this.vitaminE;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getPhosphorus() {
      return this.phosphorus;
   }

   public Double getKalium() {
      return this.kalium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Double getMagnesium() {
      return this.magnesium;
   }

   public Double getIron() {
      return this.iron;
   }

   public Double getZinc() {
      return this.zinc;
   }

   public Double getSelenium() {
      return this.selenium;
   }

   public void setColor(final String color) {
      this.color = color;
   }

   public void setLabel(final String label) {
      this.label = label;
   }

   public void setProcessingMethod(final String processingMethod) {
      this.processingMethod = processingMethod;
   }

   public void setProcessingTime(final Double processingTime) {
      this.processingTime = processingTime;
   }

   public void setEdible(final Double edible) {
      this.edible = edible;
   }

   public void setWater(final Double water) {
      this.water = water;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setAsh(final Double ash) {
      this.ash = ash;
   }

   public void setVitaminA(final Double vitaminA) {
      this.vitaminA = vitaminA;
   }

   public void setCarotene(final Double carotene) {
      this.carotene = carotene;
   }

   public void setRetinol(final Double retinol) {
      this.retinol = retinol;
   }

   public void setThiamine(final Double thiamine) {
      this.thiamine = thiamine;
   }

   public void setRiboflavin(final Double riboflavin) {
      this.riboflavin = riboflavin;
   }

   public void setNiacin(final Double niacin) {
      this.niacin = niacin;
   }

   public void setVitaminC(final Double vitaminC) {
      this.vitaminC = vitaminC;
   }

   public void setVitaminD(final Double vitaminD) {
      this.vitaminD = vitaminD;
   }

   public void setVitaminE(final Double vitaminE) {
      this.vitaminE = vitaminE;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setPhosphorus(final Double phosphorus) {
      this.phosphorus = phosphorus;
   }

   public void setKalium(final Double kalium) {
      this.kalium = kalium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setMagnesium(final Double magnesium) {
      this.magnesium = magnesium;
   }

   public void setIron(final Double iron) {
      this.iron = iron;
   }

   public void setZinc(final Double zinc) {
      this.zinc = zinc;
   }

   public void setSelenium(final Double selenium) {
      this.selenium = selenium;
   }
}
